<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."funciones/funciones.php");
  session_start();


  $idus=$_SESSION["codusuario"];
  $lblcode=ecUrl($idus); 
  $fechaactual=date('Y-m-d'); 
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="Reporte de Seguimiento";
    include_once($ruta."includes/head_basico.php");
    include_once($ruta."includes/head_tabla.php");
    include_once($ruta."includes/head_tablax.php");
  ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1075;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                 <!-- <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php //echo $hd_titulo; ?></h5> -->
                  <div class="col s12 m12 l12" style="background: #FF4200;" align="center" ><label style="color:white;font-size:30px; text-decoration:none; "><?php echo $hd_titulo ?></label>
                       </div>
                </div>
              </div>
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row">
                    <div class="col s12 m12 l12"><!--green lighten-5-->
                      <div class="card-content">
                      <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #FCB095; background: white;">
                        <div class="input-field col s12 m3 l3"> 
                         
                        <label>TIPO CREDITO</label>
                          <select id="idtipocredito" name="idtipocredito">
                            <option value="0">TODOS</option>
                            <option value="1">INDIVIDUAL</option>
                            <option value="2">GRUPOS</option>
                          </select>
                        </div>
                        <div class="input-field col s12 m3 l3"> 
                         
                        <label>Asesor</label>
                          <select id="idadmejecutivo" name="idadmejecutivo">
                            <option value="0">Todos</option>
                            <?php
                              foreach($vadmejecutivo->mostrarTodo("idtipo=142 and estado=1") as $f)
                              {
                               // $lblcode2=ecUrl($f['idvadmejecutivo']);  
                                ?>
                                  <option value="<?php echo $f['idvadmejecutivo']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div class="input-field col s12 m3 l3"> 
                        <input id="idfechaini2_1" name="idfechaini2_1" type="date" class="validate" value="<?php echo date('Y-m-01') ?>">
                          <label for="idfechaini2_1" style="color:#00BBC7; text-decoration:none;"> Fecha Cierre Inicio</label>
                        </div>                          
                        <div class="input-field col s12 m3 l3"> 
                         <input id="idfechafin2_2" name="idfechafin2_2" type="date" class="validate" value="<?php echo $fechaactual ?>">
                          <label for="idfechafin2_2" style="color:#00BBC7; text-decoration:none; "> Fecha Cierre Fin</label>
                        </div>
                        <div class="col s12 m3 l3" style="text-align: center;"> 
                         <button id="btnSave" onclick="obtener_seguim()" style="font-size: 18px;" class="btn-jh blue"> Generar reporte</button> 
                        </div>
                      </div>
                      </div>
                      </div> 
               <div class="col s12 m12 l12" style="background: white;">
                   <div class="row">
                          <div class="table-responsive">                                            
                            <div id="result">LISTA DE SEGUIMIENTO</div>
                          </div> 
                    </div>
                
               </div>       
               
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });
  
function obtener_seguim()
{    
  var idtipoc=$("#idtipocredito").val();
  var idamdeje=$("#idadmejecutivo").val();
  var fechaini=$("#idfechaini2_1").val();
  var fechafin=$("#idfechafin2_2").val();

  if (idtipoc==2) 
  {
    $.ajax({
      url: "../cargar/mostrar_seguim.php",
      method: "POST",
      data: "idadmejecutivo="+idamdeje+'&fechaini='+fechaini+'&fechafin='+fechafin,
      success: function(data){
          $("#result").html(data);
          //alert(data);
      }
    });
  }else{
        $.ajax({
          url: "../cargar/mostrar_seguimGeneral.php",
          method: "POST",
          data: "idadmejecutivo="+idamdeje+'&fechaini='+fechaini+'&fechafin='+fechafin+'&idtipocredito='+idtipoc,
          success: function(data){
              $("#result").html(data);
              //alert(data);
          }
        });   
  }

         
      
    
}

function generar2(tipo)
{
  var lbl_us="<?php echo $lblcode ?>";
  if (tipo==1) 
  {
      var idamdeje=$("#idadmejecutivo").val();
      var fechaini=$("#idfechaini2_1").val();
      var fechafin=$("#idfechafin2_2").val();
  }
  if (tipo==2) 
  {
      var idamdeje=$("#idadmejecutivo").val();
      var fechaini=$("#idfechaini2_3").val();
      var fechafin="";
  }
  
  popup=window.open('../pdf/xfechacierre.php?lblcode='+lbl_us+'&fechaini='+fechaini+'&fechafin='+fechafin+'&tipo='+tipo+'&lblcode2='+idamdeje);
}
    </script>
</body>

</html>